osmith has uploaded this change for review. ( 
https://gerrit.osmocom.org/c/docker-playground/+/30388 )


Change subject: release-tarballs-build-dist: fix missing dir crash
......................................................................

release-tarballs-build-dist: fix missing dir crash

Don't fail if no tarball was generated and therefore the
_release_tarballs directory does not exist.

Related: OS#5793
Change-Id: Ib7c551e5376776eb267140bc4b897d5bb1634cbc
---
M release-tarball-build-dist/osmocom-release-tarballs.sh
1 file changed, 5 insertions(+), 0 deletions(-)



  git pull ssh://gerrit.osmocom.org:29418/docker-playground 
refs/changes/88/30388/1

diff --git a/release-tarball-build-dist/osmocom-release-tarballs.sh 
b/release-tarball-build-dist/osmocom-release-tarballs.sh
index 8f3d3ac..40f8c5e 100644
--- a/release-tarball-build-dist/osmocom-release-tarballs.sh
+++ b/release-tarball-build-dist/osmocom-release-tarballs.sh
@@ -326,6 +326,11 @@
 }

 upload() {
+       if ! [ -d _release_tarballs ]; then
+               echo "upload: no tarballs generated, nothing to do."
+               return
+       fi
+
        cd _release_tarballs
        rsync -avz -e "$SSH_COMMAND" . [email protected]:web-files/
 }

--
To view, visit https://gerrit.osmocom.org/c/docker-playground/+/30388
To unsubscribe, or for help writing mail filters, visit 
https://gerrit.osmocom.org/settings

Gerrit-Project: docker-playground
Gerrit-Branch: master
Gerrit-Change-Id: Ib7c551e5376776eb267140bc4b897d5bb1634cbc
Gerrit-Change-Number: 30388
Gerrit-PatchSet: 1
Gerrit-Owner: osmith <[email protected]>
Gerrit-MessageType: newchange

Reply via email to